跳转到主要内容
GET
/
api_keys
/
{uuid}
获取指定 API KEY
curl --request GET \
  --url https://geekai.co/api/api_keys/{uuid} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://geekai.co/api/api_keys/{uuid}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://geekai.co/api/api_keys/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "uuid": "<string>",
    "name": "<string>",
    "value": "<string>",
    "group": {
      "name": "<string>",
      "alias": "<string>",
      "desc": "<string>"
    },
    "credit_limit": 123,
    "credit_used": 123,
    "expired_at": "2023-12-25",
    "expired": true,
    "status": true,
    "last_used_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z"
  }
}
{
"code": "unauthorized",
"message": "Invalid API key or token"
}
{
"code": "invalid_request",
"message": "请求参数不合法"
}
通过 UUID 获取指定 API KEY 的详细信息。
注意:调用此接口需要通过系统 KEY 进行认证,需要创建后复制进行使用。

授权

Authorization
string
header
必填

系统KEY

路径参数

uuid
string<uuid>
必填

资源唯一标识符

响应

成功响应

data
object

API KEY 详细信息